Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.twiddle.command
Class ServerInfoCommand

    java.lang.Object
      org.jboss.console.twiddle.command.AbstractCommand
          org.jboss.console.twiddle.command.MBeanServerCommand
              org.jboss.console.twiddle.command.ServerInfoCommand

All Implemented Interfaces:
  Cloneable, Command

public class ServerInfoCommand
extends MBeanServerCommand

Get information about the server.

Version:
  $Revision: 1.9 $
Author:
  Jason Dillon, Scott.Stark@jboss.org

Field Summary
`static int` | `DEFAULT_DOMAIN`
`static int` | `LIST_NAMES`
`static int` | `MBEAN_COUNT`
`static int` | `UNKNOWN`

Fields inherited from class org.jboss.console.twiddle.command.AbstractCommand
`context, desc, log, name`

Constructor Summary
`ServerInfoCommand()`

Method Summary
`void` | `displayHelp()`
`void` | `execute(String[] args)`

Methods inherited from class org.jboss.console.twiddle.command.MBeanServerCommand
`createObjectName, getMBeanServer, queryMBeans`

Methods inherited from class org.jboss.console.twiddle.command.AbstractCommand
`clone, getDescription, getName, setCommandContext, unsetCommandContext`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### DEFAULT_DOMAIN

    public static final int DEFAULT_DOMAIN

See Also:
  Constant Field Values

### MBEAN_COUNT

    public static final int MBEAN_COUNT

See Also:
  Constant Field Values

### LIST_NAMES

    public static final int LIST_NAMES

See Also:
  Constant Field Values

Constructor Detail

### ServerInfoCommand

    public ServerInfoCommand()

Method Detail

### displayHelp

    public void displayHelp()

### execute

    public void execute(String[] args)
                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.